slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPGetScale

Gets the scaling strategy used by the PEP object, and the associated parameters.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetScale(PEP pep,PEPScale *scale,PetscReal *alpha,Vec *Dl,Vec *Dr,PetscInt *its,PetscReal *lambda)

Not Collective

### Input Parameter

| pep | - the eigensolver context

### Output Parameters

| scale | - scaling strategy
| alpha | - the scaling factor used in the scalar strategy
| Dl | - the left diagonal matrix of the diagonal scaling algorithm
| Dr | - the right diagonal matrix of the diagonal scaling algorithm
| its | - number of iterations of the diagonal scaling algorithm
| lambda | - approximation to wanted eigenvalues (modulus)

### Note

The user can specify NULL for any parameter that is not needed.

If Dl or Dr were not set by the user, then the ones computed internally are returned (or a null pointer if called before PEPSetUp).

### See Also

PEPSetScale(), PEPSetUp()

### Level

intermediate

### Location

src/pep/interface/pepopts.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages